#%SRCPAT% \.prot\.md

include /opt/lenaisten/lev-templates.mk

suffixPub :=
suffixInt := _intern

mdFiles     := $(wildcard *.prot.md)
mdSuffix    =  $(patsubst %.prot.md,%$(1),$(mdFiles))

pdfFilesPub := $(call mdSuffix,$(suffixPub).pdf)
texFilesPub := $(call mdSuffix,$(suffixPub).tex)

pdfFilesInt := $(call mdSuffix,$(suffixInt).pdf)
texFilesInt := $(call mdSuffix,$(suffixInt).tex)

.PHONY: all autodoc
all: pdf tex
autodoc: pdf

.PHONY: pdf tex
pdf: $(pdfFilesPub) $(pdfFilesInt)
tex: $(texFilesPub) $(texFilesInt)

# pdf

%$(suffixPub).pdf: %.prot.md lev-shorthands.sty
	python3 /opt/lenaisten/redact.py $< | $(call md2pdfa,-,lev-protokoll,$@)

%$(suffixInt).pdf: %.prot.md lev-shorthands.sty
	python3 /opt/lenaisten/redact.py --internal $< | $(call md2pdfa,-,lev-protokoll,$@)

# tex

%$(suffixPub).tex: %.prot.md lev-shorthands.sty
	python3 /opt/lenaisten/redact.py $< | $(call compile_md,-,lev-protokoll,latex,$@)

%$(suffixInt).tex: %.prot.md lev-shorthands.sty
	python3 /opt/lenaisten/redact.py --internal $< | $(call compile_md,-,lev-protokoll,latex,$@)
